| Home | Libraries | People | FAQ | More

###### flat_stream::write_some (1 of 2 overloads)

Write some data to the stream.

###### Synopsis

    template<
        class ConstBufferSequence>
    std::size_t
    write_some(
        ConstBufferSequence const& buffers);

###### Description

This function is used to write data on the stream. The function call will block until one or more bytes of data has been written successfully, or until an error occurs.

###### Parameters

Name | Description
--- | ---
`buffers` | The data to be written.

###### Return Value

The number of bytes written.

###### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | Thrown on failure.

###### Remarks

The `write_some` operation may not transmit all of the data to the peer. Consider using the function `net::write` if you need to ensure that all data is written before the blocking operation completes.